<?php
namespace Plugin\SyncLanguages;
 
class Slot {
    public static function languages_70($params)
    {
        $data = array(
            'languages' => ipContent()->getLanguages()  //set all languages of current page in the $data
        );

        if (!is_array($params)) {
            $params = array();
        }

        $data += $params;

        if (empty($data['attributes']) || !is_array($data['attributes'])) {
            $data['attributes'] = array();
        }

        $data['attributesStr'] = join(
            ' ',
            array_map(
                function ($sKey) use ($data) {
                    if (is_bool($data['attributes'][$sKey])) {
                        return $data['attributes'][$sKey] ? $sKey : '';
                    }
                    return $sKey . '="' . $data['attributes'][$sKey] . '"';
                },
                array_keys($data['attributes'])
            )
        );

        /*******************
        **syncLanguages
        *******************/
		$currentPage = ipContent()->getCurrentPage(); //getCurrentPage
        if (method_exists($currentPage, 'getId')) {
            $currentKey = Model::getPageKey($currentPage->getId()); //Get current page key
            $translationPageIds = Model::getPageIdsByKey($currentKey); //Get all pages with the same kay as the current page
            $data['translationPageIds'] = $translationPageIds;

            return ipView('override/Ip/Internal/Config/view/languages.php', $data);            
        }

        return ipView('Ip/Internal/Config/view/languages.php', $data);
    }
}